Groovy Documentation

## org.codehaus.groovy.grails.web.converters.marshaller.json
[Java] Class MapMarshaller

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.marshaller.json.MapMarshaller

All Implemented Interfaces:
  ObjectMarshaller

    @SuppressWarnings("unchecked")
    public class MapMarshaller

Authors:
  Siegfried Puchbauer

Since:
  1.1

Method Summary
`void` | `marshalObject(java.lang.Object o, JSON converter)`
`boolean` | `supports(java.lang.Object object)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### marshalObject

    public void marshalObject(java.lang.Object o, JSON converter)

### supports

    public boolean supports(java.lang.Object object)

Groovy Documentation